curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/business_presets \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/business_presets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/business_presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "business_preset",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"name": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
"name_translations": null,
"name_translated": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
"title": "Business Preset",
"title_translations": null,
"title_translated": "Business Preset",
"type": "earning",
"subtype": null,
"remittance_account": null,
"is_managed": false,
"expense_accounting_code": null,
"liability_accounting_code": null,
"income_basis": null,
"income_includes": [],
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/business_presets/<id>"
}
}
],
"links": {
"first": "/business_presets?business_entity_id=<id>&page=1",
"last": "/business_presets?business_entity_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"has_more": false
}
}List business presets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
allowance, deduction, earning, employee_benefit, employer_benefit, employer_statutory_withholding, reimbursement, statutory_withholding Sort order is specified using the format
sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by
and direction is the optional sort direction (asc or desc).
name, subtype, subtype.label, title, type, type.label allowances, business_entity, deductions, earnings, employee_benefits, employer_benefits, expense_accounting_code, liability_accounting_code, pay_rates, reimbursements, remittance_account Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("business_preset").
- Default
- With business_entity expanded
- With remittance_account expanded
- With earnings expanded
- With allowances expanded
- With employee_benefits expanded
- With employer_benefits expanded
- With deductions expanded
- With reimbursements expanded
- With pay_rates expanded
- With expense_accounting_code expanded
- With liability_accounting_code expanded
Hide child attributes
Hide child attributes
255The translation of the name property for the request locale. Computed using the values in name and name_translations and the value of the request's Accept-Language header.
The translation of the title property for the request locale. Computed using the values in title and title_translations and the value of the request's Accept-Language header.
255255If true, this is a default Business Preset and can not be deleted, title and remittance_account may be set.
all_earnings, none, regular_earnings, total_income A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

